package com.googlecode.jpattern.rest.command;

import com.googlecode.jpattern.shared.command.ABaseCommand;
import com.googlecode.jpattern.shared.command.IBaseCommand;
import com.googlecode.jpattern.logger.ILogger;
import com.googlecode.jpattern.logger.ILoggerFactory;
import com.googlecode.jpattern.logger.NullLogger;

/**
 * 
 * @author Francesco Cina
 *
 * 15/giu/2011
 */
public abstract class ARestCommand extends ABaseCommand implements IRestCommand {

	private static final long serialVersionUID = 1L;
	private ILogger logger = new NullLogger();

	public ARestCommand(IBaseCommand previousCommand) {
		super(previousCommand);
	}

	@Override
	public void logger(ILoggerFactory loggerFactory) {
		logger = loggerFactory.logger(getClass());
	}

	protected ILogger getLogger(){
		return logger;
	}

}
